---
# Nameskonvention für Server: Pratchett Name/Charaktere
# Namensliste: https://wiki.lspace.org/List_of_Pratchett_characters
# Nächste freie Namen: vimes, cake, colon, detritus, dibbler, dorfl, gaspode, quirm, cherry, nobby, ramkin, ron, shoe, slant, angua, vetinary, bursar, coin, dean, worblehat, luggage. mustrum, rincewind, wrangler, stibbons, whitlow  

prod:
  children:
    pyhsical:
      hosts:
        # Interner Proxmox-Server
        # Für Verbindungen über den Webserver als Jumphost folgende Parameter ergänzen: 
        # ansible_ssh_common_args='-o ForwardAgent=yes -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -o ProxyCommand="ssh -W %h:%p -q 159.69.57.51"'
        weatherwax:
          ansible_ssh_host: 192.168.0.200
          ansible_user: root

        # Externe Server Warpzone
        # Öffentlicher Root Server Warpzone bei Hetzner
        tiffany:
          ansible_ssh_host: 159.69.57.15
          ansible_user: root

    vms:
      children:
        weatherwax-vms:
          hosts:
            # Server für interne Dienste
            # Container auf dem internen Proxmox Server
            # Wichtige Optionen: Nesting = Yes, keyctl = enabled
            ogg:
              ansible_ssh_host: 192.168.0.201
              ansible_user: root

            # Server für VPN Verbindung zum Webserver
            # Container auf dem internen Proxmox Server
            # Wichtige Optionen: Nesting = Yes, keyctl = enabled
            carrot:
              ansible_ssh_host: 192.168.0.202
              ansible_user: root

        tiffany-vms:
          hosts:
            # Öffentlicher Webserver Warpzone
            # VM auf Tiffany
            webserver:
              ansible_ssh_host: 159.69.57.51
              ansible_user: root

            # Vorstands-VM
            # VM auf Tiffany
            # Auch erreichbar unter verwaltung.warpzone.ms
            verwaltung:
              ansible_ssh_host: 195.201.179.60
              ansible_user: root

event:
  children:
    physical:
      hosts:
        # Physischer Server für Veranstaltungen / Camps
        # warpzone.remote Proxmox-Server
        hex:
          ansible_ssh_host: 10.111.10.100
          ansible_user: root

    vms:
      hosts:
        # Virtueller Server für Infrastruktur-Dienste auf Veranstaltungen / Camps
        # Container auf dem warpzone.remote Proxmox-Server
        # Wichtige Optionen: Nesting = Yes, keyctl = enabled
        hix:
          ansible_ssh_host: 10.111.10.101
          ansible_user: root